//------------------------------------------------------------------
//
//------------------------------------------------------------------
#property indicator_separate_window
#property indicator_buffers 2
#property indicator_color1 PaleVioletRed
#property indicator_color2 DimGray
#property indicator_width1 2
#property indicator_width2 2

//
//
//
//
//

extern int    MaxPeriod = 30;
extern int    MinPeriod = 10;
extern double Level     = 10;

double result[];
double histo[];

//------------------------------------------------------------------
//
//------------------------------------------------------------------
//
//
//
//
//

int init()
{
   SetIndexBuffer(0,histo);  SetIndexStyle(0,DRAW_HISTOGRAM);
   SetIndexBuffer(1,result);
      SetLevelValue(0,Level);
   return(0);
}
int deinit()
{
   return(0);
}
int start()
{
   int counted_bars=IndicatorCounted();
      if(counted_bars<0) return(-1);
      if(counted_bars>0) counted_bars--;
           int limit=MathMin(Bars-counted_bars,Bars-1);

   //
   //
   //
   //
   //

   for(int i=limit; i>=0; i--)
   {
      result[i] = 100.0*(High[ArrayMaximum(High,MaxPeriod,i)]-Low[ArrayMinimum(Low,MinPeriod,i)])/Close[i];
      histo[i]  = EMPTY_VALUE;
         if (result[i]>Level) histo[i] = result[i];
   }         
   return(0);
}

